/*------------------------------------------------*/
/* c32/fscanf1.c                                  */
#define _CRT_SECURE_NO_WARNINGS
#include <errno.h>
#include <stdio.h>
#include <string.h>

#define NAZEV "textak.txt"

int main(void)
{
    FILE *soubor;
    size_t i;
    int c;
    float x, y, z;
    char text[255];

    if ((soubor = fopen(NAZEV, "w")) == NULL) {
	fprintf(stderr, "Chyba otevreni do souboru %s pro zapis\n", NAZEV);
	return errno;
    }

    /* nejdrive do souboru neco zapisi */
    fputs("Seznam zlomku:\n", soubor);
    for (i = 1; i <= 5; i++) {
	fprintf(soubor, "%f %f %f\n", 100.0, (float) i, 100.0 / i);
    }
    fclose(soubor);
    /* a ted to zpatky nactu */
    if ((soubor = fopen(NAZEV, "r")) == NULL) {
	fprintf(stderr, "Chyba otevreni souboru %s pro cteni\n", NAZEV);
	return errno;
    }

    /* prvni radek nactu znak po znaku */
    do {
	c = fgetc(soubor);
	fputc(c, stdout);
    } while (c != '\n');

    /* druhy radek (prvni radek s cisly) nactu naraz */
    fgets(text, sizeof(text), soubor);
    fputs(text, stdout);

    /* zbytek nactu po cislech */
    for (i = 1; i <= 4; i++) {
	fscanf(soubor, "%f %f %f", &x, &y, &z);
	printf("%f/%f = %f\n", x, y, z);
    }

    fclose(soubor);
    return 0;
}

/*------------------------------------------------*/
